Error: x11-base/xgl-0.0.1_pre2007* failed.

Anything that pertains to Portage

Moderator: Moderators

Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby pajamabama » Sun Sep 23, 2007 19:30

while trying to upgrade from xgl-0.0.1_pre20070105
Code: Select all
emerge xgl
...
 * ERROR: x11-base/xgl-0.0.1_pre20070918 failed.
 * Call stack:
 *   ebuild.sh, line 1654:   Called dyn_compile
 *   ebuild.sh, line 990:   Called qa_call 'src_compile'
 *   ebuild.sh, line 44:   Called src_compile
 *   ebuild.sh, line 1334:   Called x-modular_src_compile
 *   x-modular.eclass, line 337:   Called x-modular_src_make
 *   x-modular.eclass, line 332:   Called die
 *
 * emake failed

both '_pre20070915' and '_pre20070727' also failed to install.

the installed version '_pre20070105' has a dependency in it's ebuild
Code: Select all
DEPEND="
...
!>=x11-base/xorg-server-1.4"

so this is blocking the update of xorg-server.

So is it best to just block the upgrade of xorg-server? 'equery depends' shows that the minimum version of xorg-server required is 1.2. But this just lists dependencies of installed packages right? I'm doing a world update so that could change?

EDIT: Masking >=xorg-server-1.4 causes dependency issues wth 'emerge -upDN --world'
Code: Select all
(dependency required by "x11-drivers/xf86-input-keyboard-1.2.2" [ebuild])
HP dv6000t
SabayonLinux 5.5 - x86_64

www.pedorro.com
pajamabama
Growing Hen
 
Posts: 161
Joined: Sun Jan 07, 2007 22:05
Location: In another time's forgotten space.

Re: ERROR: x11-base/xgl-0.0.1_pre2007* failed.

Postby pajamabama » Sun Sep 23, 2007 19:39

just found this thread.

Right, with nvidia I don't need xgl. But accel-manager needs it.

And the new ebuilds seem to be broken
HP dv6000t
SabayonLinux 5.5 - x86_64

www.pedorro.com
pajamabama
Growing Hen
 
Posts: 161
Joined: Sun Jan 07, 2007 22:05
Location: In another time's forgotten space.

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby wolfden » Mon Sep 24, 2007 1:23

what is broken?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby DontPanic » Thu Sep 27, 2007 15:03

I am still having this problem. Did anyone come up with a solution?

Here's the error I am getting:

Code: Select all
In file included from /usr/include/X11/extensions/renderproto.h:30,
                 from glyphstr.h:29,
                 from picturestr.h:29,
                 from renderedge.h:28,
                 from renderedge.c:29:
/usr/include/X11/extensions/render.h:29: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'Glyph'
/usr/include/X11/extensions/render.h:30: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'GlyphSet'
/usr/include/X11/extensions/render.h:31: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'Picture'
/usr/include/X11/extensions/render.h:32: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'PictFormat'
In file included from picturestr.h:29,
                 from renderedge.h:28,
                 from renderedge.c:29:
glyphstr.h:142: error: expected declaration specifiers or '...' before 'Glyph'
glyphstr.h:145: error: expected declaration specifiers or '...' before 'Glyph'
glyphstr.h:148: error: expected declaration specifiers or '...' before 'Glyph'
In file included from renderedge.h:28,
                 from renderedge.c:29:
picturestr.h:533: error: expected ')' before 'pid'
picturestr.h:682: error: expected ')' before 'pid'
picturestr.h:686: error: expected ')' before 'pid'
picturestr.h:691: error: expected ')' before 'pid'
picturestr.h:700: error: expected ')' before 'pid'
picturestr.h:711: error: expected ')' before 'pid'
make[1]: *** [renderedge.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [all-recursive] Error 1
 *
 * ERROR: x11-base/xgl-0.0.1_pre20070918 failed.
 * Call stack:
 *   ebuild.sh, line 1654:   Called dyn_compile
 *   ebuild.sh, line 990:   Called qa_call 'src_compile'
 *   ebuild.sh, line 44:   Called src_compile
 *   ebuild.sh, line 1334:   Called x-modular_src_compile
 *   x-modular.eclass, line 337:   Called x-modular_src_make
 *   x-modular.eclass, line 332:   Called die
 *
 * emake failed
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-base/xgl-0.0.1_pre20070918/temp/build.log'.
 *

 * Messages for package x11-base/xgl-0.0.1_pre20070918:

 *
 * ERROR: x11-base/xgl-0.0.1_pre20070918 failed.
 * Call stack:
 *   ebuild.sh, line 1654:   Called dyn_compile
 *   ebuild.sh, line 990:   Called qa_call 'src_compile'
 *   ebuild.sh, line 44:   Called src_compile
 *   ebuild.sh, line 1334:   Called x-modular_src_compile
 *   x-modular.eclass, line 337:   Called x-modular_src_make
 *   x-modular.eclass, line 332:   Called die
 *
 * emake failed
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-base/xgl-0.0.1_pre20070918/temp/build.log'.
 *


My installed x11-proto/renderproto package is the most recent at version 0.9.3
Gigabyte GA-P35-DS3L - Intel(R) Core(TM)2 Duo CPU E6750@ 2.66GHz
nVidia GeForce 7600 GS
2 GB RAM
DontPanic
Old Dear Hen
 
Posts: 742
Joined: Mon Jul 09, 2007 20:29
Location: Mobile, AL, USA

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby florind » Thu Oct 04, 2007 3:01

I have the same problem, xgl not compiling because of some variables in renderproto.h , tried changing them to the old manner (renderproto 9.2), compilling a little more but with errors also.
also can't mask xorg-server-1.4, tried all but no chance!
I have an Ati 9700 & the only driver with opengl is fglrx.

sorry for my english
florind
Baby Hen
 
Posts: 4
Joined: Fri Jul 06, 2007 9:38

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby DontPanic » Thu Oct 04, 2007 5:05

florind wrote:also can't mask xorg-server-1.4, tried all but no chance!
I have an Ati 9700 & the only driver with opengl is fglrx.


Try adding to your /etc/portage/package.mask file:
Code: Select all
>x11-base/xorg-server-1.3.9


Let me know if that works for you.
Gigabyte GA-P35-DS3L - Intel(R) Core(TM)2 Duo CPU E6750@ 2.66GHz
nVidia GeForce 7600 GS
2 GB RAM
DontPanic
Old Dear Hen
 
Posts: 742
Joined: Mon Jul 09, 2007 20:29
Location: Mobile, AL, USA

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby lxnay » Thu Oct 04, 2007 13:13

XGL is broken upstream and will be dropped as soon as new ATI drivers will be out.
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+
lxnay
Land Owner
 
Posts: 3595
Joined: Thu Oct 13, 2005 23:16
Location: Italy

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby florind » Thu Oct 04, 2007 20:44

XGL is broken upstream and will be dropped as soon as new ATI drivers will be out.

THX lxnay,

adding >x11-base/xorg-server-1.3.9 to package.mask
not working for xorg-xserver, very strange for me!

thanx all.
florind
Baby Hen
 
Posts: 4
Joined: Fri Jul 06, 2007 9:38

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby florind » Tue Oct 09, 2007 3:27

I found where was the problem, xorg-xserver was unmasked in package.unmask
so I coudn't mask it again!!

ellementary, Watson!

bye.
florind
Baby Hen
 
Posts: 4
Joined: Fri Jul 06, 2007 9:38

Re: Error: x11-base/xgl-0.0.1_pre2007* failed.

Postby Wintershade » Sat Oct 13, 2007 15:40

lxnay wrote:XGL is broken upstream and will be dropped as soon as new ATI drivers will be out.


Which ATI Drivers? The new fglrx or the announced open-source drivers?
If it's the former, how will we get 3D desktop without fglrx? If the latter, can anyone give a prediction how soon this will be?
Wintershade
Baby Hen
 
Posts: 14
Joined: Sat Jun 23, 2007 11:10

Next

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest